

   [![Join our Discord server!](https://media.discordapp.net/attachments/991069266486919268/993260753538777088/20220704_035916.jpg)](https://discord.gg/WNrPyBUZsE)

# ModLabs

Install ModLabs With [ ModLabs Installer ](https://github.com/MikuuModz/ModLabsInstaller)

![GitHub contributors](https://img.shields.io/github/contributors/Sketchware-Pro/Sketchware-Pro) ![GitHub last commit](https://img.shields.io/github/last-commit/Sketchware-Pro/Sketchware-Pro) ![Discord server stats](https://img.shields.io/discord/790686719753846785)

## Downloaded Using API

You must use Gradle to Uses the app. It's recommended to use Stable Network , though.

There are two build variants:

 - one with support for Downloaded from ModLabs, (and only supports Android O and above)

 - and one without. Supports Android 5 though.

or use the appropriate build Gradle command.

## Contributing

Fork this repository and contribute back using

[pull requests](https://github.com/ModLabsOfficial/ModLabs/pulls).

Any contributions, large or small, major features, bug fixes, are welcomed and appreciated, but will

be thoroughly reviewed.

### How to contribute

- Fork the repository to your GitHub account

- Make a branch if necessary

- Clone the forked repository to your local device (optional, you can edit files through GitHub's

  web interface)

- Make changes to files

- (IMPORTANT) Test out those changes

- Create a pull request in this repository

- The repository members will review your pull request, and merge it when they are accepted.

### What changes we'll (most likely) not accept

Most changes might be UI-related, and we think it's more or less a waste of time. If something design-related gets changed,

are unlikely to be accepted.

### Commit message

When you've made changes to one or more files, you have to *commit* that file. You also need a

*message* for that *commit*.

guidelines, or that summarized:

- Short and detailed

- Prefix one of these commit types:

   - `feat:` A feature, possibly improving something already existing

   - `fix:` A fix, for example of a bug

   - `style:` Feature and updates related to styling

   - `refactor:` Refactoring a specific section of the codebase

   - `test:` Everything related to testing

   - `docs:` Everything related to documentation

   - `chore:` Code maintenance (you can also use emojis to represent commit types)

Examples:

 - `feat: Speed up compiling with new technique`

 - `fix: Fix crash during launch on certain phones`

## Thanks for contributing

They help keeping ModLabs alive. Each (helpful) accepted contribution will get noted down

in the "About Developers" activity. We'll use your GitHub name and profile picture initially, but they can be

changed of course.

## Discord

Wanna chat with us, talk about changes or just hang out? We have a Discord server just for that.

[![Join our Discord server!](https://media.discordapp.net/attachments/991069266486919268/993431470339272784/20220704_152043.jpg)](https://discord.gg/WNrPyBUZsE)

## Disclaimer

This mod was not meant for any harmful purposes, such as harming ModLabs; Quite the opposite actually.

It was made to keep ModLabs alive by the community for the community. Please use it at your own discretion

and be a Patreon backer of them, for example. Sadly, all other ways to support them aren't working anymore,

so it's the only way available currently.

[Here's their Telegram page.](https://t.me/ModLabs72)

We love ModLabs very much, and we are grateful to ModLabs developers for making such an amazing app, but unfortunately, we haven't received updates for a long time.

That's why we decided to keep ModLabs alive by making this mod, plus we don't demand any money, it's completely free :)
